Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1649 - Upgrade 5.8.6 -> 5.9 failed
Summary: Upgrade 5.8.6 -> 5.9 failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-21 17:09 UTC by Pekka Pietikäinen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 02:12:02 UTC


Attachments (Terms of Use)

Description Pekka Pietikäinen 1999-03-21 17:09:37 UTC
When doing a CD upgrade from 5.8.6 to 5.9 the installer
found garbage names for my partitions (looked like
it might be a bad pointer or similar) making upgrading
impossible.

The amount of partitions was correct and a normal install
works fine.

The upgrade was attempted to a SCSI disk (aic7880) from IDE
cdrom. One special feature of the disk is that it was
partitioned under a different scsi controller, so fdisk
reports errors like

/dev/sdb1             1      102   103849+  83  Linux native
Partition 1 does not end on cylinder boundary:
     phys=(24, 133, 62) should be (24, 63, 32)
/dev/sdb2           102      167    66464   82  Linux swap
Partition 2 does not end on cylinder boundary:
     phys=(40, 133, 62) should be (40, 63, 32)
/dev/sdb3           167      820   668794   83  Linux native
Partition 3 does not end on cylinder boundary:
     phys=(201, 133, 62) should be (201, 63, 32)
/dev/sdb4           820     4134  3393818    5  Extended
Partition 4 does not end on cylinder boundary:
     phys=(1018, 133, 62) should be (1018, 63, 32)
/dev/sdb5           820     2869  2097769+  83  Linux native
/dev/sdb6          2869     4134  1296047+  83  Linux native

because the geometry used is different, but the disk has
worked like that without problems for a year or so.

Comment 1 Matt Wilson 1999-03-26 02:12:59 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.